Bug 1312934 - "docker images" command returns all the repositories prepended with the "docker.io/" string
"docker images" command returns all the repositories prepended with the "dock...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Antonio Murdaca
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 09:51 EST by Florin
Modified: 2016-06-09 22:27 EDT (History)
11 users (show)

See Also:
Fixed In Version: docker-1.10.3-24.gitf476348.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-09 22:27:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florin 2016-02-29 09:51:29 EST
Description of problem:
Fedora apparently modified the docker binary so that now when issuing a "docker images" command, all the repositories it lists back are prepended with the "docker.io/" string. This deviates from the behavior of the standard docker.

Version-Release number of selected component (if applicable):

docker --version
Docker version 1.9.1, build 7206621

Fedora 23 (Workstation Edition)

How reproducible:

every time

Steps to Reproduce:
1. $ docker images

Actual results:

docker.io/fedora                     latest              3fc68076e184        7 weeks ago         206.3 MB
docker.io/hello-world                latest              0a6ba66e537a        4 months ago        960 B
docker.io/docker                     1.6.2-dind          cb06727b9b7e        6 months ago        28.68 MB

Expected results:

fedora                     latest              3fc68076e184        7 weeks ago         206.3 MB
hello-world                latest              0a6ba66e537a        4 months ago        960 B
docker                     1.6.2-dind          cb06727b9b7e        6 months ago        28.68 MB

Additional info:
Comment 1 Antonio Murdaca 2016-02-29 09:54:54 EST
This is happening because our docker has support for more than just a root namespace (i.e. docker.io), you have have multiple root namespaces where you get images from and docker images is correctly showing where the image came from.
Comment 2 Florin 2016-02-29 10:08:32 EST
But in this case, if I have a repository "docker.io/resin/armv7hf-supervisor", if I issue a "docker images resin/armv7hf-supervisor" this will not return anything
Comment 3 Florin 2016-02-29 10:09:32 EST
While doing a "docker images fedora" for example, that returns the expected result
Comment 4 Antonio Murdaca 2016-02-29 10:10:38 EST
I'm going to test this on the latest docker 1.10.x and report back
Comment 5 Florin 2016-02-29 10:13:28 EST
Thank you
Comment 6 Antonio Murdaca 2016-02-29 10:46:10 EST
(In reply to Florin from comment #2)
> But in this case, if I have a repository
> "docker.io/resin/armv7hf-supervisor", if I issue a "docker images
> resin/armv7hf-supervisor" this will not return anything

docker 1.10.2 isn't affected by this:

$ docker tag busybox docker.io/resin/armv7hf-supervisor
$ docker images resin/armv7hf-supervisor

REPOSITORY                           TAG                 IMAGE ID            CREATED             SIZE
docker.io/resin/armv7hf-supervisor   latest              3240943c9ea3        12 days ago         1.114 MB

could you try this yourself and see if it works? the update is available in the updates-testing repository https://bodhi.fedoraproject.org/updates/FEDORA-2016-e63d91c106
Comment 7 Florin 2016-03-02 01:14:30 EST
Indeed, this version fixes it.
Thank you for your feedback.
Comment 8 Antonio Murdaca 2016-03-02 04:05:20 EST
Fixed in docker-1.10.x
Comment 9 Fedora Update System 2016-04-28 10:01:17 EDT
docker-1.10.3-15.git964eda6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b59d274e19
Comment 10 Fedora Update System 2016-05-02 05:22:45 EDT
docker-1.10.3-16.gita41254f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5
Comment 11 Fedora Update System 2016-05-03 05:27:35 EDT
docker-1.10.3-16.gita41254f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-87f810b0f5
Comment 12 Fedora Update System 2016-05-05 05:41:50 EDT
docker-1.10.3-17.gitbba2d6d.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c7e793ee33
Comment 13 Fedora Update System 2016-05-05 10:05:21 EDT
docker-1.10.3-18.git667d6d1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39
Comment 14 Fedora Update System 2016-05-06 16:56:52 EDT
docker-1.10.3-18.git667d6d1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7a1fb10a39
Comment 15 Fedora Update System 2016-05-20 06:35:53 EDT
docker-1.10.3-19.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9
Comment 16 Fedora Update System 2016-05-20 22:26:16 EDT
docker-1.10.3-19.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd133dc2e9
Comment 17 Fedora Update System 2016-05-24 12:45:38 EDT
docker-1.10.3-20.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308
Comment 18 Fedora Update System 2016-05-26 01:02:21 EDT
docker-1.10.3-20.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-373d4f6308
Comment 19 Fedora Update System 2016-05-26 14:28:21 EDT
docker-1.10.3-21.git8ecd47f.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f
Comment 20 Fedora Update System 2016-05-27 23:25:51 EDT
docker-1.10.3-21.git8ecd47f.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5cdae8c6f
Comment 21 Fedora Update System 2016-05-30 13:36:29 EDT
docker-1.10.3-22.git4158ccc.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7
Comment 22 Fedora Update System 2016-05-31 05:52:47 EDT
docker-1.10.3-22.git4158ccc.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6472a8cdc7
Comment 23 Fedora Update System 2016-06-01 05:02:13 EDT
docker-1.10.3-23.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d73f74a557
Comment 24 Fedora Update System 2016-06-01 10:53:09 EDT
docker-1.10.3-24.gitf476348.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088
Comment 25 Fedora Update System 2016-06-02 12:23:11 EDT
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6a0d540088
Comment 26 Fedora Update System 2016-06-09 22:26:05 EDT
docker-1.10.3-24.gitf476348.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.